Namespace
library
Image / Tag
golang:1.9.1
Content Digest
sha256:e2be086d86eeb789460bcb48bc26e95c5b04a61fe8cf720ae1b2195d6f40edc4
Details
Created

2017-10-10 05:34:07 UTC

Size

260 MB

Content Digest
Environment
GOLANG_VERSION

1.9.1

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:3e17c6eae66cd23c59751c8d8f5eaf7044e0611dc5cebb12b1273be07cdac242 - 16.56% (43 MB)

[#001] sha256:74d44b20f851c8ef0b042070ba8eb018b386f50fdae5c37871d3fe7b4cfb4956 - 4.07% (10.6 MB)

[#002] sha256:a156217f3fa434b4821b01f0d24be50ead40560053fb5b65982f52507f55bc12 - 1.7% (4.42 MB)

[#003] sha256:4a1ed13b6faa4be7117a973f02c46398e98adfb4a2af34cb279fc5908e37ccba - 18.35% (47.7 MB)

[#004] sha256:dc8a629d8a36eda59dea705f8bb9bbbba8abe39c9b88f06aa799f8626a75f713 - 21.09% (54.8 MB)

[#005] sha256:431925b1aca503941b9943675d22913ea6c59bf73d5834c9c356530e657b6167 - 38.23% (99.4 MB)

[#006] sha256:2ac2306b8d4cb8bc57f8ed61183066205a502570dd64eaa33d8dbe773d5d6f2f - 0.0% (124 Bytes)

[#007] sha256:84664a55d30ae4dd5c2fa53ba163b9306470fe261366863775888c943edb617a - 0.0% (1.34 KB)


History
2017-10-09 21:33:25 UTC

/bin/sh -c #(nop) ADD file:a71e077a42995a68ffe4834d85cfe26af4ea12aa8ed43decc03cc487124b1f70 in /

2017-10-09 21:33:25 UTC

/bin/sh -c #(nop) CMD ["bash"]

2017-10-09 22:37:34 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl wget && rm -rf /var/lib/apt/lists/*

2017-10-09 22:37:38 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg2 dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2017-10-09 22:37:59 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2017-10-10 05:33:52 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2017-10-10 05:33:53 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.9.1

2017-10-10 05:34:05 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='07d81c6b6b4c2dcf1b5ef7c27aaebd3691cdb40548500941f92b221147c5d9c7' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='65a0495a50c7c240a6487b1170939586332f6c8f3526abdbb9140935b3cff14c' ;; arm64) goRelArch='linux-arm64'; goRelSha256='d31ecae36efea5197af271ccce86ccc2baf10d2e04f20d0fb75556ecf0614dad' ;; i386) goRelArch='linux-386'; goRelSha256='2cea1ce9325cb40839601b566bc02b11c92b2942c21110b1b254c7e72e5581e7' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='de57b6439ce9d4dd8b528599317a35fa1e09d6aa93b0a80e3945018658d963b8' ;; s390x) goRelArch='linux-s390x'; goRelSha256='9adf03574549db82a72e0d721ef2178ec5e51d1ce4f309b271a2bca4dcf206f6' ;; *) goRelArch='src'; goRelSha256='a84afc9dc7d64fe0fa84d4d735e2ece23831a22117b50dafc75c1484f1cb550e'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2017-10-10 05:34:05 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2017-10-10 05:34:05 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2017-10-10 05:34:06 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2017-10-10 05:34:06 UTC

/bin/sh -c #(nop) WORKDIR /go

2017-10-10 05:34:07 UTC

/bin/sh -c #(nop) COPY file:ea7c9f4702f94a0df05f60648914e97f7876c4a7c5163e7870dd98fa896ff722 in /usr/local/bin/

Details
Created

2017-10-11 02:18:30 UTC

Size

5.12 GB

Content Digest
Environment
GIT_DOWNLOAD_SHA256

668d16a799dd721ed126cc91bed49eb2c072ba1b25b50048280a4e2c5ed56e59

GIT_DOWNLOAD_URL

https://github.com/git-for-windows/git/releases/download/v2.11.1.windows.1/MinGit-2.11.1-64-bit.zip

GIT_TAG

v2.11.1.windows.1

GIT_VERSION

2.11.1

GOLANG_VERSION

1.9.1

GOPATH

C:\gopath


Layers

[#000] sha256:3889bb8d808bbae6fa5a33e07093e65c31371bcf9e4c38c21be6b9af52ad1548 - 74.0% (3.79 GB)

[#001] sha256:8df8e568af76c1c311a1251f6f7402e2a09d14629840c97091beb9ba55419464 - 23.28% (1.19 GB)

[#002] sha256:9604659e3e8da6b99c25a393035f4f0c389c2dfe4d4935d6d2c5c3f14bb34019 - 0.0% (1.19 KB)

[#003] sha256:9f4a4a55f0a7a519330ed6baac30552f1ad22317fdbd223ad1c64b08205beb3c - 0.0% (1.2 KB)

[#004] sha256:6d6da81fc3fdc03f85c7dbc9e5d6f3ae6ba32647a7c92fb429adef58e6a089ab - 0.0% (1.19 KB)

[#005] sha256:72f53bd57f2f8e12c146c51d0b1eaa3bf885c24cc6bdb07d360ac8360542926a - 0.0% (1.2 KB)

[#006] sha256:6464e79d41fe87f3ba1217ccb0b43f29edcf508181d315ed21169f823537655d - 0.0% (1.19 KB)

[#007] sha256:dca61726a3b49a40fcf9a844d33dbdc7e81034bec12619a84c52fc97ceccbab6 - 0.53% (27.9 MB)

[#008] sha256:9150276e2b9026e99a8b28eb2b485e92dfae4aa2185cae068a1602bbdb0a253a - 0.0% (1.2 KB)

[#009] sha256:cd47365a14fbad61b4101a279981fad775d861ea9b6752b29eabb2c01036657f - 0.09% (4.61 MB)

[#010] sha256:1783777af4bb1261fa7a21400e7a5e00c480e4a507fa0d021692ba4924b0012e - 0.0% (1.19 KB)

[#011] sha256:3b8d1834f1d799ebf56eee32be1a8113a2376b6020c80ad1f6eef7319969cdca - 2.1% (110 MB)

[#012] sha256:7258d77b22dd5887d967be28a1b980de6242b373960da4fde74e570a12c4a5ca - 0.0% (1.35 KB)


History
2016-12-13 10:53:31 UTC

Apply image 10.0.14393.0

2017-10-09 19:23:50 UTC

Install update 10.0.14393.1770

2017-10-11 02:13:34 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2017-10-11 02:13:38 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_VERSION=2.11.1

2017-10-11 02:13:42 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_TAG=v2.11.1.windows.1

2017-10-11 02:13:46 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_URL=https://github.com/git-for-windows/git/releases/download/v2.11.1.windows.1/MinGit-2.11.1-64-bit.zip

2017-10-11 02:13:49 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_SHA256=668d16a799dd721ed126cc91bed49eb2c072ba1b25b50048280a4e2c5ed56e59

2017-10-11 02:14:26 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:GIT_DOWNLOAD_URL); Invoke-WebRequest -Uri $env:GIT_DOWNLOAD_URL -OutFile 'git.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:GIT_DOWNLOAD_SHA256); if ((Get-FileHash git.zip -Algorithm sha256).Hash -ne $env:GIT_DOWNLOAD_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive -Path git.zip -DestinationPath C:\git\.; Write-Host 'Removing ...'; Remove-Item git.zip -Force; Write-Host 'Updating PATH ...'; $env:PATH = 'C:\git\cmd;C:\git\mingw64\bin;C:\git\usr\bin;' + $env:PATH; [Environment]::SetEnvironmentVariable('PATH', $env:PATH, [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ...'; Write-Host ' git --version'; git --version; Write-Host 'Complete.';

2017-10-11 02:14:30 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOPATH=C:\gopath

2017-10-11 02:14:50 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;C:\go\bin;{1}' -f $env:GOPATH, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); [Environment]::SetEnvironmentVariable('PATH', $newPath, [EnvironmentVariableTarget]::Machine);

2017-10-11 02:14:53 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOLANG_VERSION=1.9.1

2017-10-11 02:18:26 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('https://golang.org/dl/go{0}.windows-amd64.zip' -f $env:GOLANG_VERSION); Write-Host ('Downloading {0} ...' -f $url); Invoke-WebRequest -Uri $url -OutFile 'go.zip'; $sha256 = '8dc72a3881388e4e560c2e45f6be59860b623ad418e7da94e80fee012221cc81'; Write-Host ('Verifying sha256 ({0}) ...' -f $sha256); if ((Get-FileHash go.zip -Algorithm sha256).Hash -ne $sha256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive go.zip -DestinationPath C:\; Write-Host 'Verifying install ("go version") ...'; go version; Write-Host 'Removing ...'; Remove-Item go.zip -Force; Write-Host 'Complete.';

2017-10-11 02:18:30 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) WORKDIR C:\gopath

Details
Created

2017-10-10 03:35:36 UTC

Size

255 MB

Content Digest
Environment
GOLANG_VERSION

1.9.1

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:d1d52bc84c959ce2a6002a4aab897e247f2b7a55c1440de500f57e791c7814f3 - 17.15% (43.7 MB)

[#001] sha256:49155822b6274da1500beeea1b851fe93477c0f24c9139e66a6b08b28e94947a - 4.17% (10.6 MB)

[#002] sha256:612edda692ea6ffd7b7804e0853087b5051708a461f81b600a2eff2391245512 - 1.82% (4.63 MB)

[#003] sha256:0dde6a8931f23491215f28541bcbc153f642dff8f291c5d70cc81b9b93b7a18f - 19.29% (49.2 MB)

[#004] sha256:46edea830d94bae27c8e1d5a3a64fa8c156a10ff74f7e8d8e7ab2a761c5fcbeb - 23.2% (59.1 MB)

[#005] sha256:cd5616cd9b6f21e0da1bdf84c2839f84e6309e3a829ad104a1f86f7c1b84b344 - 34.37% (87.6 MB)

[#006] sha256:f13be959723f19f5754370cb71b62ee5ae832fd74fe5e2f23691ad21051afe59 - 0.0% (125 Bytes)

[#007] sha256:2618a7feab273ff736816ac4b25895dca1aff5c7cecb31689eafc256ee98878d - 0.0% (1.34 KB)


History
2017-10-09 21:45:21 UTC

/bin/sh -c #(nop) ADD file:14ce0e7f11224a3d3ef5a62ece43529a687ada430b8d8ecfa0e0a5d2d1e47467 in /

2017-10-09 21:45:21 UTC

/bin/sh -c #(nop) CMD ["bash"]

2017-10-09 23:17:59 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl wget && rm -rf /var/lib/apt/lists/*

2017-10-09 23:18:05 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg2 dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2017-10-09 23:18:38 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2017-10-10 03:35:20 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2017-10-10 03:35:20 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.9.1

2017-10-10 03:35:34 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='07d81c6b6b4c2dcf1b5ef7c27aaebd3691cdb40548500941f92b221147c5d9c7' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='65a0495a50c7c240a6487b1170939586332f6c8f3526abdbb9140935b3cff14c' ;; arm64) goRelArch='linux-arm64'; goRelSha256='d31ecae36efea5197af271ccce86ccc2baf10d2e04f20d0fb75556ecf0614dad' ;; i386) goRelArch='linux-386'; goRelSha256='2cea1ce9325cb40839601b566bc02b11c92b2942c21110b1b254c7e72e5581e7' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='de57b6439ce9d4dd8b528599317a35fa1e09d6aa93b0a80e3945018658d963b8' ;; s390x) goRelArch='linux-s390x'; goRelSha256='9adf03574549db82a72e0d721ef2178ec5e51d1ce4f309b271a2bca4dcf206f6' ;; *) goRelArch='src'; goRelSha256='a84afc9dc7d64fe0fa84d4d735e2ece23831a22117b50dafc75c1484f1cb550e'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2017-10-10 03:35:34 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2017-10-10 03:35:34 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2017-10-10 03:35:35 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2017-10-10 03:35:36 UTC

/bin/sh -c #(nop) WORKDIR /go

2017-10-10 03:35:36 UTC

/bin/sh -c #(nop) COPY file:ea7c9f4702f94a0df05f60648914e97f7876c4a7c5163e7870dd98fa896ff722 in /usr/local/bin/

Details
Created

2017-10-10 00:48:54 UTC

Size

227 MB

Content Digest
Environment
GOLANG_VERSION

1.9.1

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:0d9fbbfaa2cd8961ae50e51e7388e3a2a1a5ca2c105389b56a3a862dfe76d035 - 17.6% (39.9 MB)

[#001] sha256:5ad02a7a5b212c86cbdd527154a30708eccaa87b89053dd8b63d970bda7eb15c - 4.13% (9.37 MB)

[#002] sha256:c6bbcce226c5c7c39ae672de36f27124750688da88d920faf7faeda09ffaeb06 - 1.77% (4.01 MB)

[#003] sha256:dbb73448c519a8cf4c670c025515e5cf1507429ab1d441d31d5865ef703aba00 - 19.5% (44.2 MB)

[#004] sha256:eab77a18cf0c57c8f30083938c457021a7748ab4829152b90964d54402c27c5b - 19.29% (43.7 MB)

[#005] sha256:458efa07e4f3a4ee42fd69c0131d758dc9426ef725c37a6e8785ec5c046fe539 - 37.7% (85.5 MB)

[#006] sha256:244b860a3467d305d51ed72a698e220cbff7986bfa30e8bf6a517b8af2acf722 - 0.0% (155 Bytes)

[#007] sha256:217c85b39c2eb165d2b65892d0460808a69e65f07996b5678f947a245cb327f3 - 0.0% (1.33 KB)


History
2017-10-09 21:45:23 UTC

/bin/sh -c #(nop) ADD file:8b7cf813a113aa20eb7f5eecbb602ff5d306b7586add13ed5e082cd09770edb4 in /

2017-10-09 21:45:23 UTC

/bin/sh -c #(nop) CMD ["bash"]

2017-10-09 22:23:39 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl wget && rm -rf /var/lib/apt/lists/*

2017-10-09 22:23:46 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg2 dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2017-10-09 22:24:18 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2017-10-10 00:48:37 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2017-10-10 00:48:37 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.9.1

2017-10-10 00:48:51 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='07d81c6b6b4c2dcf1b5ef7c27aaebd3691cdb40548500941f92b221147c5d9c7' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='65a0495a50c7c240a6487b1170939586332f6c8f3526abdbb9140935b3cff14c' ;; arm64) goRelArch='linux-arm64'; goRelSha256='d31ecae36efea5197af271ccce86ccc2baf10d2e04f20d0fb75556ecf0614dad' ;; i386) goRelArch='linux-386'; goRelSha256='2cea1ce9325cb40839601b566bc02b11c92b2942c21110b1b254c7e72e5581e7' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='de57b6439ce9d4dd8b528599317a35fa1e09d6aa93b0a80e3945018658d963b8' ;; s390x) goRelArch='linux-s390x'; goRelSha256='9adf03574549db82a72e0d721ef2178ec5e51d1ce4f309b271a2bca4dcf206f6' ;; *) goRelArch='src'; goRelSha256='a84afc9dc7d64fe0fa84d4d735e2ece23831a22117b50dafc75c1484f1cb550e'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2017-10-10 00:48:52 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2017-10-10 00:48:52 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2017-10-10 00:48:53 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2017-10-10 00:48:53 UTC

/bin/sh -c #(nop) WORKDIR /go

2017-10-10 00:48:54 UTC

/bin/sh -c #(nop) COPY file:ea7c9f4702f94a0df05f60648914e97f7876c4a7c5163e7870dd98fa896ff722 in /usr/local/bin/

Details
Created

2017-10-10 07:55:41 UTC

Size

231 MB

Content Digest
Environment
GOLANG_VERSION

1.9.1

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:0e5a8be23912597ff0d89db096abd4c4383c8cf4ee700d333b86f881ea289875 - 17.7% (40.9 MB)

[#001] sha256:7d7589dd246446eb7fba574b55eeb0810199cb0a935b7d349b8a930f23af9b13 - 4.15% (9.6 MB)

[#002] sha256:ef5f5555283659c080227d6cf1bace5def3d5c3e6d742746e51494849fb4aeb3 - 1.81% (4.18 MB)

[#003] sha256:50fc460f5f7f70833a25c52d6200ced8a4004784a9dc391c6ea4f0bdca6cd51a - 19.79% (45.8 MB)

[#004] sha256:dfe8c26975aa208b09b9e5dbc44249de7de83a510e21e5ae369c1b370951a566 - 20.18% (46.7 MB)

[#005] sha256:0fb47f9746d87f7f135a3f7c2b92508423387b01cb7a790e4abdcddab5138c66 - 36.38% (84.1 MB)

[#006] sha256:49591a390f41535feec88cf444ae24fa7592102aee4a63d392086defb114193c - 0.0% (126 Bytes)

[#007] sha256:26a9883fd227425c889f81d0f39fd6ab8c2ec380440e9293bf5069dc3cf31422 - 0.0% (1.33 KB)


History
2017-10-09 21:47:18 UTC

/bin/sh -c #(nop) ADD file:bf097edec8505e5cb1e432319988aeb28a6f918edef706b3c543fa61aaaea4cb in /

2017-10-09 21:47:19 UTC

/bin/sh -c #(nop) CMD ["bash"]

2017-10-09 23:05:41 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl wget && rm -rf /var/lib/apt/lists/*

2017-10-09 23:06:00 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg2 dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2017-10-09 23:07:33 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2017-10-10 07:55:04 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2017-10-10 07:55:05 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.9.1

2017-10-10 07:55:25 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='07d81c6b6b4c2dcf1b5ef7c27aaebd3691cdb40548500941f92b221147c5d9c7' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='65a0495a50c7c240a6487b1170939586332f6c8f3526abdbb9140935b3cff14c' ;; arm64) goRelArch='linux-arm64'; goRelSha256='d31ecae36efea5197af271ccce86ccc2baf10d2e04f20d0fb75556ecf0614dad' ;; i386) goRelArch='linux-386'; goRelSha256='2cea1ce9325cb40839601b566bc02b11c92b2942c21110b1b254c7e72e5581e7' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='de57b6439ce9d4dd8b528599317a35fa1e09d6aa93b0a80e3945018658d963b8' ;; s390x) goRelArch='linux-s390x'; goRelSha256='9adf03574549db82a72e0d721ef2178ec5e51d1ce4f309b271a2bca4dcf206f6' ;; *) goRelArch='src'; goRelSha256='a84afc9dc7d64fe0fa84d4d735e2ece23831a22117b50dafc75c1484f1cb550e'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2017-10-10 07:55:30 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2017-10-10 07:55:31 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2017-10-10 07:55:36 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2017-10-10 07:55:39 UTC

/bin/sh -c #(nop) WORKDIR /go

2017-10-10 07:55:41 UTC

/bin/sh -c #(nop) COPY file:ea7c9f4702f94a0df05f60648914e97f7876c4a7c5163e7870dd98fa896ff722 in /usr/local/bin/

Details
Created

2017-10-10 08:54:07 UTC

Size

239 MB

Content Digest
Environment
GOLANG_VERSION

1.9.1

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:f2df583ad5343147c4ed6ea52882355b70e206e1a801cbb0fe3b6fc6c7b0189a - 18.1% (43.3 MB)

[#001] sha256:b68ed2fe64e9c2dfe79d5d484b75ed9d17ac5941067e9d69cb194ac257feec3a - 4.12% (9.86 MB)

[#002] sha256:8fcb4b07bc1d76cd1d3e264929d07b103dc8a16ecba513a1d5a03d3b5d54b919 - 1.83% (4.37 MB)

[#003] sha256:4f601576bea3b971a5c48ce185e438f8ef5a459c0af4d71e2a76e2f1614985ff - 19.95% (47.7 MB)

[#004] sha256:fa5237c5b6f6ba4b3e36ef6895e773db354dba7e12118959b2f4157548d9e7cc - 21.01% (50.3 MB)

[#005] sha256:795ec8adb6adf308691da8078f6c30f2efa753d2301416aa902fb0ba050be05a - 34.99% (83.7 MB)

[#006] sha256:4385a10522779b9cab504d246e4d04f531a66dbcf4a981e88b8876a12926998d - 0.0% (156 Bytes)

[#007] sha256:cab6c135c81d85d26d93f7cc496ceeab5081caaef4e5185c7a24577427aafdcd - 0.0% (1.34 KB)


History
2017-10-09 21:45:33 UTC

/bin/sh -c #(nop) ADD file:5217c22b771467c9c3563f1e5b1bbd92eff26c36f0dafc6cfed4ba0664f12a45 in /

2017-10-09 21:45:35 UTC

/bin/sh -c #(nop) CMD ["bash"]

2017-10-10 00:13:20 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl wget && rm -rf /var/lib/apt/lists/*

2017-10-10 00:14:12 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg2 dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2017-10-10 00:19:24 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2017-10-10 08:52:36 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2017-10-10 08:52:46 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.9.1

2017-10-10 08:53:05 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='07d81c6b6b4c2dcf1b5ef7c27aaebd3691cdb40548500941f92b221147c5d9c7' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='65a0495a50c7c240a6487b1170939586332f6c8f3526abdbb9140935b3cff14c' ;; arm64) goRelArch='linux-arm64'; goRelSha256='d31ecae36efea5197af271ccce86ccc2baf10d2e04f20d0fb75556ecf0614dad' ;; i386) goRelArch='linux-386'; goRelSha256='2cea1ce9325cb40839601b566bc02b11c92b2942c21110b1b254c7e72e5581e7' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='de57b6439ce9d4dd8b528599317a35fa1e09d6aa93b0a80e3945018658d963b8' ;; s390x) goRelArch='linux-s390x'; goRelSha256='9adf03574549db82a72e0d721ef2178ec5e51d1ce4f309b271a2bca4dcf206f6' ;; *) goRelArch='src'; goRelSha256='a84afc9dc7d64fe0fa84d4d735e2ece23831a22117b50dafc75c1484f1cb550e'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2017-10-10 08:53:27 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2017-10-10 08:53:31 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2017-10-10 08:53:50 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2017-10-10 08:53:54 UTC

/bin/sh -c #(nop) WORKDIR /go

2017-10-10 08:54:07 UTC

/bin/sh -c #(nop) COPY file:ea7c9f4702f94a0df05f60648914e97f7876c4a7c5163e7870dd98fa896ff722 in /usr/local/bin/

Details
Created

2017-10-10 00:21:00 UTC

Size

233 MB

Content Digest
Environment
GOLANG_VERSION

1.9.1

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:c6630da1278315ced68910beef5ac605807b880918d11d0c02c4d3eac7307008 - 18.44% (42.9 MB)

[#001] sha256:b33b5e0a1749d0366c28b4b88ae0139119ba36640fa31f7ed3d2ec974ae1127b - 4.37% (10.2 MB)

[#002] sha256:049887af1090e55495d4d3f232c2441d3bb8b420366662539c3bfb829e349496 - 1.91% (4.45 MB)

[#003] sha256:88994e2adeee9dcccd21288a4ca51444bc7374338cac5c49346a4abab141c964 - 20.68% (48.1 MB)

[#004] sha256:a416bc161c1582070194a16d3cd1be2b0d2f636da70057fb4a08ed54546aeb61 - 18.78% (43.7 MB)

[#005] sha256:aecca90de51580ae2a4948a07fe3fad281e90c5a2541c42f3d92f77bbd30f62e - 35.82% (83.3 MB)

[#006] sha256:da49914ad3e69c25380819158da766a138ea486da20f772329b164ad25c02e1d - 0.0% (127 Bytes)

[#007] sha256:fc7b1f3748cb41bea7d2f63c8365de540cb0c85bc14596cbfc8f3bde87d5cd21 - 0.0% (1.33 KB)


History
2017-10-09 21:44:19 UTC

/bin/sh -c #(nop) ADD file:11704b7d478d6b95a0cfeb557a4a4a03c02fde3849dd3e01da2d1228c6b815f0 in /

2017-10-09 21:44:19 UTC

/bin/sh -c #(nop) CMD ["bash"]

2017-10-09 22:15:38 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl wget && rm -rf /var/lib/apt/lists/*

2017-10-09 22:15:44 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg2 dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2017-10-09 22:16:15 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2017-10-10 00:20:49 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2017-10-10 00:20:50 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.9.1

2017-10-10 00:20:58 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='07d81c6b6b4c2dcf1b5ef7c27aaebd3691cdb40548500941f92b221147c5d9c7' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='65a0495a50c7c240a6487b1170939586332f6c8f3526abdbb9140935b3cff14c' ;; arm64) goRelArch='linux-arm64'; goRelSha256='d31ecae36efea5197af271ccce86ccc2baf10d2e04f20d0fb75556ecf0614dad' ;; i386) goRelArch='linux-386'; goRelSha256='2cea1ce9325cb40839601b566bc02b11c92b2942c21110b1b254c7e72e5581e7' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='de57b6439ce9d4dd8b528599317a35fa1e09d6aa93b0a80e3945018658d963b8' ;; s390x) goRelArch='linux-s390x'; goRelSha256='9adf03574549db82a72e0d721ef2178ec5e51d1ce4f309b271a2bca4dcf206f6' ;; *) goRelArch='src'; goRelSha256='a84afc9dc7d64fe0fa84d4d735e2ece23831a22117b50dafc75c1484f1cb550e'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2017-10-10 00:20:59 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2017-10-10 00:20:59 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2017-10-10 00:21:00 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2017-10-10 00:21:00 UTC

/bin/sh -c #(nop) WORKDIR /go

2017-10-10 00:21:00 UTC

/bin/sh -c #(nop) COPY file:ea7c9f4702f94a0df05f60648914e97f7876c4a7c5163e7870dd98fa896ff722 in /usr/local/bin/